Subject: [Tsvwg] SCTP socket draft errata (MSG_EOF->SCTP_EOF substitution)

From: Mark Butler <[email-masked]>
Date: Mon, 30 Jan 2006 18:28:07 -0700

The current SCTP socket draft (draft-ietf-tsvwg-sctpsocket-11.txt) has a 
paragraph with a problem in section 4.1.5:

    SCTP does not support half close semantics. This means that unlike
    T/TCP, SCTP_EOF should not be set in the flags parameter when
    calling sendto() or sendmsg() when the call is used to initiate a
    connection. SCTP_EOF is not an acceptable flag with SCTP socket.

This paragraph no doubt originally referred to MSG_EOF instead of SCTP_EOF.

Also, SCTP_EOF is specified to be set only on messages that carry no 
data.  This seems an unnecessary restriction.  MSG_EOF has always been 
allowed to be set in the sendmsg flags for the last message to be sent.  
SCTP_EOF should behave similarly.

 - Mark
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg